Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

The other day, I tried to update Abiword by running the command sudo apt-get update abiword. Obviously, it didn't work, but I had no idea how badly it would fail. apt-get began installing several packages including several linux-headers and linux-image, which appears to be the development version of the linux kernel. I hit ctrl-C to stop the update, but now the update manager is trying to install those packages.

If I accidentally told apt-get to install some dangerous packages, how can I cancel those installations permanently and still keep my system up-to-date?

share|improve this question
    
Not a direct answer to your question, but you don't need to worry about APT installing new kernel updates. The old kernels will still be there, and will probably even remain the default until you uninstall them or change the default. –  Ryan Thompson Oct 5 '09 at 2:31
add comment

4 Answers

up vote 6 down vote accepted

Wait wait wait... sudo apt-get update is actually just updating the available packages list, and not exactly updating anything.

When you run this command, Linux probably didn't install any packages, and totally ignored the abiword option at the back, seeing only sudo apt-get update

The correct updating procedure should be sudo apt-get upgrade abiword.

As to Linux installing packages... it probably is just verbose showing the updating of the packages list.

EDIT You may refer to the APT HOW-TO for more information on apt-get

P.S It usually is quite safe to update packages, including Linux headers + kernel images, on a stock Linux configuration. Rest easy, don't panic.

share|improve this answer
3  
Your answer has a pretty important problem: apt-get's upgrade command does not accept arguments. The command is apt-get upgrade which will automatically attempt to upgrade any packages on your system that need an upgrade. You can't limit the upgrade to one package this way. (Interestingly, aptitude will give an error if you provide an argument to upgrade, but apt-get doesn't. Nevertheless, the command will try to upgrade all your packages, not just one.) –  Telemachus Oct 2 '09 at 14:28
6  
Edit: I believe that if you want to only upgrade one item, the easiest answer is to use this command: apt-get install item - even if that package is already installed. –  Telemachus Oct 2 '09 at 14:31
    
@Telemachus my bad - you are right. apt-get upgrade will upgrade every single package (been too used to using apt-get install to upgrade packages already). –  caliban Oct 2 '09 at 15:44
add comment

linux-image isn't a real package, it's just a handy shortcut-package to help pull in the latest kernel (the actual kernel image is in a package like "linux-image-2.6.28-15-generic", as an example from Ubuntu 9.04). linux-headers is the same kind of thing. Check the package link; if you scroll to the bottom you'll see that linux-image package is only 32k.

It sounds like your distribution has released a recent kernel update -- probably a security update, unless you have development/testing repositories in your apt.sources. You triggered the discovery when you ran the "apt-get update".

Go ahead and install the new kernel packages.

share|improve this answer
add comment

To remove a partially installed package you can just "aptitude remove package" (or apt-get, but I've been using aptitude lately). Caliban is correct, though, that you never installed any new packages in the first place.

share|improve this answer
add comment

To see why the system needs to install a certain package, use aptitude why package

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.